﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using System.Data;
using Infragistics.Web.UI.ListControls;

namespace WebDDbug01
{
	public class AppWebUI
	{
		private void cmb_DefaultConfig(WebDropDown wdd)
		{
			wdd.SelectedItems.Add(wdd.Items[0]);
			wdd.AutoSelectOnMatch = true;
			wdd.DropDownContainerMaxHeight = 0;
			wdd.DropDownAnimationType = DropDownAnimationTypes.Bounce;
			wdd.DropDownContainerHeight = 0;
		}

		public void cmbCompanyType(WebDropDown wdd)
		{
			DataTable tbl = new DataTable();
			tbl.Columns.Add("ID", typeof(Int32));
			tbl.Columns.Add("Description", typeof(string)).MaxLength = 75;
			tbl.Rows.Add(new object[] { 2101, "Clients" });
			tbl.Rows.Add(new object[] { 2102, "Carriers" });
			tbl.Rows.Add(new object[] { 2109, "Client Locations" });
			wdd.ValueField = "ID";
			wdd.TextField = "Description";
			wdd.DataSource = tbl;
			wdd.DataBind();
			this.cmb_DefaultConfig(wdd);
		}

	}
}